#include <bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    long long p,q,r,L,D,N = 0;
    cin >> p >> q >> r >> L >> D;
    for(long long i = L; i <= D; ++i) {
        if(ceil(i/p) + ceil(i/q) + ceil(i/r) <= i) N++;
    }
    cout << N;
    return 0;
}